Subject: RE: Netatalk on 64-bit Solaris with GCC - was - Netatalk 1.5.0 Re leased!

From: [email-masked]
Date: Wed, 2 Jan 2002 11:04:04 -0800

I've got it working, but evidently my patches didn't make it into the 1.5
distribution.  If those of you are interested email me, I can give you the
patched files and detailed instructions.

Celeste Suliin Burris
Systems Administrator
Tacoma Economic Development Dept.
[email-masked]

> ----------
> From: 	Xiaping Lin
> Sent: 	Tuesday, January 1, 2002 4:30 PM
> To: 	[email-masked]
> Subject: 	[Fwd: Netatalk 1.5.0 Released!]
> 
> 
> 
> Xiaping Lin wrote:
> 
> > Well done everyone!
> > But what about Solaris 8 64-bit platform? Has anyone compiled this
> release on
> > Solaris 8 64-bit machine with gcc ?
> > I have been waiting for this version and hope it to be free of following
> > problems that I have come across with version 1.4b2+asun2.1.4:
> >
> > 1) Can not use gcc compiler, have to SUN C compiler which I don't have;
> > 2) ddp drive problem, Server does not show up in Chooser.
> >     error message in /var/adm/messages whenever netatalk starts:
> >
> > Dec 19 16:05:27  atalkd[11412]: [ID 441591 user.info] plumbed /dev/ge0
> > Dec 19 16:05:27  atalkd[11413]: [ID 602610 daemon.info] restart
> > (1.4b2+asun2.1.4)
> > Dec 19 16:05:27  atalkd[11413]: [ID 430690 daemon.info] setsockopt
> incompatible
> > w/ Solaris STREAMS module.
> > Dec 19 16:05:29  atalkd[11413]: [ID 875075 daemon.info] zip_getnetinfo
> for ge0
> > Dec 19 16:05:57  atalkd[11413]: [ID 877925 daemon.info] config for no
> router
> > Dec 19 16:05:59  atalkd[11413]: [ID 430690 daemon.info] setsockopt
> incompatible
> > w/ Solaris STREAMS module.
> > Dec 19 16:05:59  atalkd[11413]: [ID 128247 daemon.info] ready 0/0/0
> >
> > Cheers!
> >
> > Xiaping Lin
> >
> > Sebastian Rittau wrote:
> >
> > >                      Netatalk 1.5 The New Year's Release
> > >                      ===================================
> > >
> > > The Netatalk development team is proud to announce the final 1.5
> release of
> > > the Netatalk File Sharing suite. Netatalk is a collection of server
> programs
> > > and utilities for handling various protocols employed by Apple
> Macintosh
> > > computers on Unix compatible systems. The suite contains
> > >
> > >  * afpd - a file server that implements the Apple Filing Protocol,
> allowing
> > >    clients running MacOS to access Unix file servers
> > >  * atalkd - an implementation of the AppleTalk protocol
> > >  * papd - a print server that enables Macintosh computers to access
> printers
> > >    connected to Unix servers
> > >  * timelord - a time server for synchronizing time over the network
> > >  * megatron - a tool to convert files in Macintosh specific formats
> like
> > >    BinHex, AppleSingle, or MacBinary into files, readable by Unix
> computers.
> > >  * various other utilities
> > >
> > > News in Netatalk 1.5
> > > ~~~~~~~~~~~~~~~~~~~~
> > >
> > > Since the early pre-release versions of Netatalk 1.5, Netatalk has
> been
> > > hosted and developed on SourceForge (http://sourceforge.net/). This
> offers
> > > a great variety of resources and tools to the project and helped to
> open
> > > up the development process.
> > >
> > > Starting with version 1.5pre7, Netatalk is now licensed under the GNU
> > > General Public License (GPL), which is used by many Open Source/Free
> > > Software projects as their license of choice. We chose this license to
> > > allow us to develop Netatalk as freely as possible and to ensure that
> > > Netatalk will stay free in the future.
> > >
> > > Netatalk now makes use of the GNU autotools (autoconf, automake, and
> > > libtool) for building. This increases the portability of Netatalk as
> well
> > > as the flexibility of the build system, and helps make the whole build
> > > process more transparent. Ports to new platforms and enhancement to
> the
> > > source code can now be handled much easier.
> > >
> > > Netatalk 1.5 features a new experimental DID tracking system, based on
> > > Berkeley DB3 files. The scheme, known as CNID-DB, is intended to end
> > > various problems concerning aliases and disappearing files encountered
> in
> > > earlier versions of Netatalk. This new DID scheme is scheduled to
> become the
> > > default DID in future Netatalk versions.
> > >
> > > Apart from these larger changes, a lot of work has gone into the
> Netatalk
> > > source code and build process and we feel that the quality of the code
> base
> > > has greatly improved since earlier releases.
> > >
> > > Future Enhancements
> > > ~~~~~~~~~~~~~~~~~~~
> > >
> > > Netatalk is an actively developed product and its functionality will
> be
> > > enhanced in future versions. Some of the upcoming features include:
> > >
> > >  * Further improvements in the build system for enhanced portability
> > >  * AFP 3.0 support, including long file names
> > >  * A new universal logging system
> > >  * Persistent DID support (stable alias support) by default
> > >  * Integrated Samba and NFS file locking
> > >  * Long file name handling ("mangling") for older AppleShare clients
> > >  * 100% QuarkXPress compatibility
> > >  * Server-side find capability ("FPCatSearch")
> > >  * Improved Documentation
> > >
> > > Supported Platforms
> > > ~~~~~~~~~~~~~~~~~~~
> > >
> > > As of Netatalk 1.5.0 the following operating systems are supported:
> > >
> > >  * FreeBSD
> > >  * Linux (Debian, Mandrake, RedHat, SuSE, others should work as well)
> > >  * OpenBSD
> > >  * Solaris (32bit flavors)
> > >  * Tru64
> > >
> > > Netatalk may compile and run on other operating systems as well, but
> > > it is not well-tested on those. We welcome patches and suggestions
> > > for enhancing the portability of Netatalk, though.
> > >
> > > Availability
> > > ~~~~~~~~~~~~
> > >
> > > Netatalk tar-balls can be found at
> http://me.in-berlin.de/~jroger/netatalk/.
> > > Binaries for Debian GNU/Linux will be added to the unstable
> distribution
> > > soon and will be available at every Debian non-US mirror. Binaries for
> > > other operating systems will be made available at the SourceForge site
> > > http://sourceforge.net/projects/netatalk/ as time permits.
> > >
> > > Netatalk is also available via anonymous CVS. See the SourceForge
> project
> > > site for anonymous CVS instructions. The main development is happening
> in
> > > the trunk. Well-tested patches are back-ported to branch-1-5-prep
> branch,
> > > from which the tar-balls are created.
> > >
> > > Contact
> > > ~~~~~~~
> > >
> > > For more information about Netatalk, see its web page at:
> > > http://netatalk.sourceforge.net/
> > >
> > > The project is hosted at SourceForge. The SourceForge project page is
> > > located at: http://sourceforge.net/projects/netatalk/
> > >
> > > The Netatalk development team can be reached via the mailing list
> > > [email-masked]. For subscription information and
> > > archives see Netatalk's SourceForge project page.
> > >
> > > [email-masked] is a mailing list for Netatalk system
> > > administrators. For subscription information and archives see the
> > > Netatalk web page.
> > >
> > > Acknowledgements
> > > ~~~~~~~~~~~~~~~~
> > >
> > > We would like to thank all contributors to the Netatalk project for
> > > their commitment. Without the many suggestions, bug and problem
> reports,
> > > patches, and reviews this project wouldn't be where it is.
> > >
> > >  - The Netatalk Development Team, New Year's Eve 2001
> 
> --
> Xiaping Lin
> Information Technology
> Queensland Institute of Medical Research
> E-mail: [email-masked]
> Ph:    61-7-33620231
> fax:   61-7-33620111
> 
> 
>

---

From: Xiaping Lin <[email-masked]>
Date: Fri, 04 Jan 2002 13:52:33 +1000

Hi,
My sincere gratitude to Celeste Suliin Burris, Joe Clarke and Steve Freitas for
the help on compiling
Netatalk1.5 on 64-bit Solaris machine. I have succefully compiled 64-bit gcc and
ddp and Netatalk1.5.
But to my horror, the same error messages shows up when I start the new atalkd
(v1.5):

Jan  3 21:18:48  atalkd[29352]: [ID 441591 user.info] plumbed /dev/ge0
Jan  3 21:18:48  atalkd[29353]: [ID 602610 daemon.info] restart (1.5.0)
Jan  3 21:18:48  atalkd[29353]: [ID 430690 daemon.info] setsockopt incompatible
w/ Solaris STREAMS module.
Jan  3 21:18:50  last message repeated 1 time
Jan  3 21:18:50  atalkd[29353]: [ID 875075 daemon.info] zip_getnetinfo for ge0
Jan  3 21:19:08  last message repeated 2 times
Jan  3 21:19:18  atalkd[29353]: [ID 877925 daemon.info] config for no router
Jan  3 21:19:20  atalkd[29353]: [ID 430690 daemon.info] setsockopt incompatible
w/ Solaris STREAMS module.
Jan  3 21:19:20  atalkd[29353]: [ID 128247 daemon.info] ready 0/0/0
Jan  3 21:19:32  papd[29364]: [ID 602610 lpr.info] restart (1.5.0)

I am afraid that the same problem(server not showing in Chooser) happens to the
new version, although
I have not yet confirm this, since I do not have access to a Mac at that time.
At present, my workaround
is to have a cron job running "nbplkup" on the SUN Netalalk server every minute
to force it stay up in all
mac's Chooser. From a mac, I can connect to the server by IP, but most Macs here
don't have that option
in Chooser.

I have seen some talk about the setsockopt patch, such as the e-mail below:

http://www.mtusysadm.mtu.edu/mtudocs/netatalk/netatalk-combo.html

But don't know if the patch has already been considered in the new version. Is
there any patch that I should apply?

My platform for Netatalk server is : Sun e420 Enterprise Solaris8

Any tips on how to fix above error?

Thanks everyone!

Xiaping